Knowledge Base

System Requirements

Here's a summary of the technical requirements for using and its various components.

Desktop App
  • Windows 7, 8, 8.1, and 10; Server 2008, 2012 (32 or 64-bit) with the latest service pack
  • Latest build of OS X Mountain Lion (10.8), Mavericks (10.9), Yosemite (10.10), El Capitan (10.11), Sierra (10.12)
  • Broadband connectivity to the Internet (i.e., T1, cable modem, ISDN or DSL)
  • Your computer's processor must support SSE2, otherwise will not run
    Note: Only rather old computers don't support SSE2
  • Sorry, we don't support Linux
Mobile App
  • iOS 9 or higher 
  • Android 4 for joining meetings and organizing audio-only meetings 
  • Android 5 or higher for full functionality, including screen sharing website
  • On a Mac, use Safari for best results
  • On Windows, use the latest version of Firefox or Chrome. 
  • You can also use Internet Explorer 8 or above to join a meeting, but make sure you have Flash Player 10 or above installed and enabled in the browser. When attempting to use advanced features (audio, video, taking the presenter role) you will be prompted to use either the desktop app (for a full-featured experience) or an HTML5 compatible browser (for audio and video only).
Browser requirements for audio and video
  • Chrome: Audio and video 
  • Firefox: Audio only (for video, use the desktop app)  
  • Safari: No audio or video (use the desktop app)
  • Internet Explorer (IE) & Edge: No audio or video (use the desktop app)  
Outlook plugin
  • MS Outlook 2010, 2013, 2016 (32 or 64-bit, Windows only)
Important: is designed for use with third-party products and services (browser, OS, etc.) that are officially supported by their respective vendors and well-maintained by the end user (latest patches and updates installed). Learn more at

Feedback and Knowledge Base